import 'basico_model.dart';
import '../services/services.dart';

class Deposito extends Basico {
  double? monto;
  String? descripcion;
  int? idCorteCaja;

  Deposito({super.id, this.monto, this.descripcion, this.idCorteCaja});

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'monto': monto,
      'descripcion': descripcion,
      'idCorteCaja': idCorteCaja,
    }..addAll(super.toJson());
  }

  Deposito.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    monto = Basico.parseDouble(json['monto']);
    descripcion = Basico.parseString(json['descripcion']);
    idCorteCaja = Basico.parseInt(json['idCorteCaja']);
  }

  Future<void> guardar() async {
    idLocal = await RepoService().guardar(this);
  }
}
